diff -N -P -r -c rtems-4.6.2/ChangeLog rtems-4.6.4/ChangeLog
*** rtems-4.6.2/ChangeLog	Mon Oct 18 14:15:21 2004
--- rtems-4.6.4/ChangeLog	Thu Sep  1 12:18:50 2005
***************
*** 1,3 ****
--- 1,19 ----
+ 2005-09-01	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* VERSION: Updated to rtems-4.6.4.
+ 
+ 2005-09-01	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* aclocal/version.m4: Updated to rtems-4.6.4.
+ 
+ 2005-03-17	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* VERSION: Updated to rtems-4.6.3.
+ 
+ 2004-11-10	Richard Campbell <richard.campbell@oarcorp.com>
+ 
+ 	* aclocal/bsp-alias.m4: Add MVME2100 BSP.
+ 
  2004-10-18	Joel Sherrill <joel@OARcorp.com>
  
  	* VERSION: Updated to rtems-4.6.2.
***************
*** 809,815 ****
  
  2001-11-13	Joel Sherrill <joel@OARcorp.com>
  
! 	* COPYING: Test of ChangeLog,v 1.178.2.63 2004/10/18 19:15:21 joel Exp -> $RTEMS$.
  
  2001-11-08	Dennis Ehlin (ECS) <Dennis.Ehlin@ecs.ericsson.se>
  
--- 825,831 ----
  
  2001-11-13	Joel Sherrill <joel@OARcorp.com>
  
! 	* COPYING: Test of ChangeLog,v 1.178.2.67 2005/09/01 17:18:50 joel Exp -> $RTEMS$.
  
  2001-11-08	Dennis Ehlin (ECS) <Dennis.Ehlin@ecs.ericsson.se>
  
diff -N -P -r -c rtems-4.6.2/c/src/lib/libbsp/i386/pc386/ChangeLog rtems-4.6.4/c/src/lib/libbsp/i386/pc386/ChangeLog
*** rtems-4.6.2/c/src/lib/libbsp/i386/pc386/ChangeLog	Fri Oct 15 09:29:15 2004
--- rtems-4.6.4/c/src/lib/libbsp/i386/pc386/ChangeLog	Thu Sep  1 08:20:47 2005
***************
*** 1,3 ****
--- 1,12 ----
+ 2005-09-01	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* clock/Makefile.am, include/Makefile.am: Install tod.h
+ 
+ 2005-01-20	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 743/bsps
+ 	* clock/Makefile.am: Did not install tod.h.
+ 
  2004-10-13	Eric Norum <norume@aps.anl.gov>
  
  	PR 688/bsps
diff -N -P -r -c rtems-4.6.2/c/src/lib/libbsp/i386/shared/ChangeLog rtems-4.6.4/c/src/lib/libbsp/i386/shared/ChangeLog
*** rtems-4.6.2/c/src/lib/libbsp/i386/shared/ChangeLog	Mon Sep 27 16:49:18 2004
--- rtems-4.6.4/c/src/lib/libbsp/i386/shared/ChangeLog	Wed Oct 27 14:40:48 2004
***************
*** 1,4 ****
! 2003-11-01      Greg Menke <gregory.menke@gsfc.nasa.gov>
  
  	PR 608/bsps
  	* pci/pcibios.c: BusCountPCI().
--- 1,4 ----
! 2004-09-27      Greg Menke <gregory.menke@gsfc.nasa.gov>
  
  	PR 608/bsps
  	* pci/pcibios.c: BusCountPCI().
diff -N -P -r -c rtems-4.6.2/c/src/lib/libbsp/powerpc/ChangeLog rtems-4.6.4/c/src/lib/libbsp/powerpc/ChangeLog
*** rtems-4.6.2/c/src/lib/libbsp/powerpc/ChangeLog	Mon Aug 11 09:37:34 2003
--- rtems-4.6.4/c/src/lib/libbsp/powerpc/ChangeLog	Wed Nov 10 16:16:34 2004
***************
*** 1,3 ****
--- 1,8 ----
+ 2004-11-10	Richard Campbell <richard.campbell@oarcorp.com>
+ 
+ 	* configure.ac: Add TOD support in shared as part of adding MVME2100
+ 	BSP.
+ 
  2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
diff -N -P -r -c rtems-4.6.2/c/src/lib/libbsp/powerpc/helas403/ChangeLog rtems-4.6.4/c/src/lib/libbsp/powerpc/helas403/ChangeLog
*** rtems-4.6.2/c/src/lib/libbsp/powerpc/helas403/ChangeLog	Tue Dec 16 17:17:02 2003
--- rtems-4.6.4/c/src/lib/libbsp/powerpc/helas403/ChangeLog	Mon Nov  1 20:43:35 2004
***************
*** 1,3 ****
--- 1,9 ----
+ 2004-10-02	Ralf Corsepius <ralf_corsepius@rtems.org>
+ 
+ 	PR 697/bsps
+ 	* flashentry/flashentry.S: Fix broken comments
+ 	(Patch by Thomas.Doerfler@imd-systems.de)
+ 
  2003-12-16	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	PR 533/bsps
diff -N -P -r -c rtems-4.6.2/c/src/lib/libbsp/powerpc/motorola_powerpc/ChangeLog rtems-4.6.4/c/src/lib/libbsp/powerpc/motorola_powerpc/ChangeLog
*** rtems-4.6.2/c/src/lib/libbsp/powerpc/motorola_powerpc/ChangeLog	Tue Dec 16 17:17:08 2003
--- rtems-4.6.4/c/src/lib/libbsp/powerpc/motorola_powerpc/ChangeLog	Fri May 20 14:53:48 2005
***************
*** 1,3 ****
--- 1,19 ----
+ 2005-05-20	Ralf Corsepius <ralf_corsepius@rtems.org>
+ 
+ 	PR 717/bsps
+ 	* bootloader/Makefile.am: Typo results in wrong flags being used.
+ 
+ 2004-11-16	Richard Campbell <richard.campbell@OARcorp.com>
+ 
+ 	* README.MVME2100: Update to include DBAT0.
+ 	* bsp_specs: Fix spacing.
+ 
+ 2004-11-10	Richard Campbell <richard.campbell@oarcorp.com>
+ 
+ 	* Makefile.am, configure.ac, bootloader/Makefile.am,
+ 	include/Makefile.am, wrapup/Makefile.am: Add MVME2100 BSP.
+ 	* README.MVME2100, tod/.cvsignore, tod/Makefile.am: New files.
+ 
  2003-12-16	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	PR 533/bsps
diff -N -P -r -c rtems-4.6.2/c/src/lib/libbsp/powerpc/psim/ChangeLog rtems-4.6.4/c/src/lib/libbsp/powerpc/psim/ChangeLog
*** rtems-4.6.2/c/src/lib/libbsp/powerpc/psim/ChangeLog	Tue Dec 16 17:17:19 2003
--- rtems-4.6.4/c/src/lib/libbsp/powerpc/psim/ChangeLog	Mon Apr 11 14:58:14 2005
***************
*** 1,3 ****
--- 1,29 ----
+ 2005-04-11      Jennifer Averett <jennifer@OARcorp.com>
+ 
+         PR 777/bsps
+         * include/bsp.h: Add a Processor_Synchronize command in bsp.h
+ 
+ 2005-03-17	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* irq/.cvsignore: New file.
+ 
+ 2004-11-22	Jennifer Averett <jennifer@OARcorp.com>
+ 
+ 	* Makefile.am, wrapup/Makefile.am: Pick up SHM driver when MP enabled.
+ 
+ 2004-11-22	Jennifer Averett <jennifer@OARcorp.com>
+ 
+ 	PR 617/bsps
+ 	PR 581/bsps
+ 	* Makefile.am, bsp_specs, configure.ac, clock/Makefile.am,
+ 	include/bsp.h, start/Makefile.am, start/start.S, startup/Makefile.am,
+ 	startup/bspstart.c, startup/linkcmds, vectors/Makefile.am,
+ 	vectors/vectors.S, wrapup/Makefile.am: Convert PSIM to new exception
+ 	model.
+ 	* irq/Makefile.am, irq/irq.c, irq/irq.h, irq/irq_asm.S,
+ 	irq/irq_init.c: New files.
+ 	* clock/clock.c: Removed.
+ 
  2003-12-16	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	PR 533/bsps
diff -N -P -r -c rtems-4.6.2/c/src/lib/libbsp/powerpc/score603e/ChangeLog rtems-4.6.4/c/src/lib/libbsp/powerpc/score603e/ChangeLog
*** rtems-4.6.2/c/src/lib/libbsp/powerpc/score603e/ChangeLog	Thu Sep  4 13:45:16 2003
--- rtems-4.6.4/c/src/lib/libbsp/powerpc/score603e/ChangeLog	Mon Apr 11 15:18:20 2005
***************
*** 1,3 ****
--- 1,10 ----
+ 2005-04-11	Jennifer Averett<jennifer.averett@oarcorp.com>
+ 
+ 	PR 778/bsps
+ 	* include/bsp.h, include/gen2.h, startup/FPGA.c, startup/Hwr_init.c,
+ 	startup/bspstart.c, tod/tod.c:
+         modify SCORE_.. to BSP_.. for externally used define's.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* PCI_bus/PCI.h, clock/clock.c, console/85c30.c, console/85c30.h,
diff -N -P -r -c rtems-4.6.2/c/src/lib/libbsp/powerpc/shared/ChangeLog rtems-4.6.4/c/src/lib/libbsp/powerpc/shared/ChangeLog
*** rtems-4.6.2/c/src/lib/libbsp/powerpc/shared/ChangeLog	Mon Sep 27 16:57:50 2004
--- rtems-4.6.4/c/src/lib/libbsp/powerpc/shared/ChangeLog	Thu Sep  1 08:22:17 2005
***************
*** 1,3 ****
--- 1,40 ----
+ 2005-09-01	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* include/bsp.h: This file is only to be used by BSPs with the new
+ 	interrupt API so checking for USE_ENHANCED_INTR_API is not needed.
+ 
+ 2004-11-23	Richard Campbell <richard.campbell@oarcorp.com>
+ 
+ 	* startup/bspstart.c: Removed mpc824x conditionals around call to 
+ 	L1_caches_enables, conditionals are now in mmuAsm.S.
+  	* vme/VMEConfig.h: Set up VME A16, A24 and A32 windows at different 
+ 	locations for mvme2100.
+ 	* vme/vmeconfig.c: Fixed spelling.
+ 
+ 2004-11-10	Richard Campbell <richard.campbell@oarcorp.com>
+ 
+ 	* ChangeLog, Makefile.am, bootloader/misc.c, bootloader/pci.c,
+ 	bootloader/pci.h, console/console.c, console/inch.c,
+ 	console/reboot.c, console/uart.c, console/uart.h, include/bsp.h,
+ 	irq/irq.c, irq/irq.h, irq/irq_init.c, motorola/motorola.c,
+ 	motorola/motorola.h, openpic/openpic.c, openpic/openpic.h,
+ 	pci/detect_raven_bridge.c, pci/pci.c, pci/pci.h, start/start.S,
+ 	startup/bspstart.c, vectors/vectors_init.c, vme/vmeconfig.c: Add
+ 	MVME2100 BSP and MPC8240 support. There was also a significant amount
+ 	of spelling and whitespace cleanup.
+ 	* tod/.cvsignore, tod/Makefile.am, tod/todcfg.c: New files.
+ 
+ 2004-11-10	Richard Campbell <richard.campbell@oarcorp.com>
+ 
+ 	* Makefile.am, bootloader/misc.c, bootloader/pci.c, bootloader/pci.h,
+ 	console/console.c, console/inch.c, console/reboot.c, console/uart.c,
+ 	console/uart.h, include/bsp.h, irq/irq.c, irq/irq.h, irq/irq_init.c,
+ 	motorola/motorola.c, motorola/motorola.h, openpic/openpic.c,
+ 	openpic/openpic.h, pci/detect_raven_bridge.c, pci/pci.c, pci/pci.h,
+ 	start/start.S, startup/bspstart.c, vectors/vectors_init.c,
+ 	vme/vmeconfig.c: Add MVME2100 BSP and MPC8240 support.
+ 	* tod/.cvsignore, tod/Makefile.am, tod/todcfg.c: New files.
+ 
  2004-09-27      Greg Menke <gregory.menke@gsfc.nasa.gov>
  
  	PR 606/bsps
diff -N -P -r -c rtems-4.6.2/c/src/lib/libbsp/powerpc/support/old_exception_processing/ChangeLog rtems-4.6.4/c/src/lib/libbsp/powerpc/support/old_exception_processing/ChangeLog
*** rtems-4.6.2/c/src/lib/libbsp/powerpc/support/old_exception_processing/ChangeLog	Thu Sep  4 13:45:22 2003
--- rtems-4.6.4/c/src/lib/libbsp/powerpc/support/old_exception_processing/ChangeLog	Wed Oct 20 03:30:22 2004
***************
*** 1,3 ****
--- 1,8 ----
+ 2004-10-20	Ralf Corsepius <ralf_corsepius@rtems.org>
+ 
+ 	PR 696/bsps
+ 	* cpu.c: Include bsp.h.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* cpu.c, cpu_asm.S: URL for license changed.
diff -N -P -r -c rtems-4.6.2/c/src/lib/libbsp/shared/ChangeLog rtems-4.6.4/c/src/lib/libbsp/shared/ChangeLog
*** rtems-4.6.2/c/src/lib/libbsp/shared/ChangeLog	Fri Oct 15 09:29:04 2004
--- rtems-4.6.4/c/src/lib/libbsp/shared/ChangeLog	Fri Aug 19 11:20:00 2005
***************
*** 1,3 ****
--- 1,26 ----
+ 2005-08-19	Cedric Aubert <cedric_aubert@yahoo.fr>
+ 
+ 	PR 577/bsps
+ 	* console.c: The console_close() method currently calls StopRemoteTx()
+ 	on all invocations. It should should be ok for last close only but
+ 	not for any others. If you open a port multiple times, you only want
+ 	to call StopRemoteTx() only as part of the last close.
+ 
+ 2004-12-10	Ralf Corsepius <ralf.corsepius@rtems.org>
+ 
+ 	PR 704/bsps.
+ 	* ide_ctrl.c: Removed (obsolete).
+ 
+ 2004-11-16	Richard Campbell <richard.campbell@OARcorp.com>
+ 
+ 	* vmeUniverse/vmeUniverse.c: Use PCI_MEM_BASE_ADJUSTMENT because some
+ 	boards -- notably the MVME2100 -- return the physical address, not an
+ 	offset in PCI memory space.
+ 
+ 2004-11-10	Joel Sherrill <joel@oarcorp.com>
+ 
+ 	* tod.c: Add include of tod.h to remove warnings.
+ 
  2004-10-13	Eric Norum <norume@aps.anl.gov>
  
  	PR 688/bsps
diff -N -P -r -c rtems-4.6.2/c/src/lib/libcpu/ChangeLog rtems-4.6.4/c/src/lib/libcpu/ChangeLog
*** rtems-4.6.2/c/src/lib/libcpu/ChangeLog	Thu Sep  4 13:54:13 2003
--- rtems-4.6.4/c/src/lib/libcpu/ChangeLog	Tue Nov 23 09:31:19 2004
***************
*** 1,3 ****
--- 1,8 ----
+ 2004-11-23	Richard Campbell <richard.campbell@oarcorp.com>
+ 
+ 	* powerpc/mpc6xx/mmu/mmuAsm.S: Enable L1 instruction cache only for
+ 	mpc8240 and mpc8245.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* shared/include/cache.h, shared/src/cache_aligned_malloc.c,
diff -N -P -r -c rtems-4.6.2/c/src/lib/libcpu/powerpc/ChangeLog rtems-4.6.4/c/src/lib/libcpu/powerpc/ChangeLog
*** rtems-4.6.2/c/src/lib/libcpu/powerpc/ChangeLog	Sat May 22 10:14:03 2004
--- rtems-4.6.4/c/src/lib/libcpu/powerpc/ChangeLog	Fri Aug 12 18:44:54 2005
***************
*** 1,3 ****
--- 1,26 ----
+ 2005-08-12	Phil Torre <ptorre@zetron.com>
+ 
+ 	PR 816/bsps
+ 	* mpc8xx/include/mpc8xx.h: The struct which describes SCC Ethernet mode
+ 	parameters (m8xxSCCENparms_t) does not match the hardware: members
+ 	taddr_h and taddr_l are transposed. When loading new multicast group
+ 	addresses into the hash table, the wrong hash bit is set.
+ 
+ 2004-11-22	Jennifer Averett <jennifer@OARcorp.com>
+ 
+ 	PR 581/bsps
+ 	* mpc6xx/exceptions/raw_exception.c, shared/include/cpuIdent.h:
+ 	Converting PSIM to new exception model required addition of PSIM CPU
+ 	model.
+ 
+ 2004-11-10	Richard Campbell <richard.campbell@oarcorp.com>
+ 
+ 	* configure.ac, mpc6xx/exceptions/raw_exception.c,
+ 	mpc6xx/exceptions/raw_exception.h, mpc6xx/mmu/bat.c,
+ 	mpc6xx/mmu/bat.h, mpc6xx/mmu/mmuAsm.S, shared/include/cpuIdent.c,
+ 	shared/include/cpuIdent.h: Add MPC8240 and MPC8245 support. There was
+ 	also a significant amount of spelling and whitespace cleanup.
+ 
  2004-05-22	Till Strauman <strauman@slac.stanford.edu>
  
  	PR 619/bsps
diff -N -P -r -c rtems-4.6.2/c/src/libchip/ChangeLog rtems-4.6.4/c/src/libchip/ChangeLog
*** rtems-4.6.2/c/src/libchip/ChangeLog	Fri Oct 15 09:27:04 2004
--- rtems-4.6.4/c/src/libchip/ChangeLog	Thu Apr 28 09:56:36 2005
***************
*** 1,3 ****
--- 1,24 ----
+ 2005-04-28      Jennifer Averett <jennifer.averett@oarcorp.com>
+ 
+         PR 781/misc
+         * serial/ns16550_p.h: Fix baud rate calculation
+ 
+ 2004-11-22	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 693/misc
+ 	* rtc/mc146818a_ioreg.c: Disable unless on a target with in/outport
+ 	routines.
+ 
+ 2004-11-10	Richard Campbell <richard.campbell@oarcorp.com>
+ 
+ 	* network/dec21140.c: Cleanup a bit and remove message about not
+ 	supported on PowerPC since it works on the MVME2100 BSP.
+ 
+ 2004-11-10	Joel Sherrill <joel@oarcorp.com>
+ 
+ 	PR 715/bsps
+ 	* rtc/mc146818a.c: Delete include of bsp.h
+ 
  2004-10-13      Eric Norum <norume@aps.anl.gov>
  
          PR 688/bsps
diff -N -P -r -c rtems-4.6.2/c/src/libnetworking/ChangeLog rtems-4.6.4/c/src/libnetworking/ChangeLog
*** rtems-4.6.2/c/src/libnetworking/ChangeLog	Sat Apr  3 10:36:01 2004
--- rtems-4.6.4/c/src/libnetworking/ChangeLog	Fri May 20 14:31:18 2005
***************
*** 1,3 ****
--- 1,8 ----
+ 2005-05-20	Sergei Organov  <osv@topconrd.ru>
+ 
+ 	PR 750/networking
+ 	* pppd/sys-rtems.c: Avoid NULL dereference in wait_input().
+ 
  2004-04-03	Wilfried Busalski <w.busalski@lancier-monitoring.de>
  
  	PR 599/pppd
diff -N -P -r -c rtems-4.6.2/c/src/tests/itrontests/ChangeLog rtems-4.6.4/c/src/tests/itrontests/ChangeLog
*** rtems-4.6.2/c/src/tests/itrontests/ChangeLog	Thu Sep  4 13:46:11 2003
--- rtems-4.6.4/c/src/tests/itrontests/ChangeLog	Mon Nov 22 02:19:13 2004
***************
*** 1,3 ****
--- 1,8 ----
+ 2004-11-22	Ralf Corsepius <ralf.corsepius@rtems.org>
+ 
+ 	PR 721/tests
+ 	* itronsem01/init.c: Fix bogus assert.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* itronhello/init.c, itronhello/itronhello.doc, itronhello/system.h,
diff -N -P -r -c rtems-4.6.2/c/src/tests/psxtests/ChangeLog rtems-4.6.4/c/src/tests/psxtests/ChangeLog
*** rtems-4.6.2/c/src/tests/psxtests/ChangeLog	Fri Mar  5 09:49:39 2004
--- rtems-4.6.4/c/src/tests/psxtests/ChangeLog	Thu Sep  1 11:14:17 2005
***************
*** 1,3 ****
--- 1,9 ----
+ 2005-09-01	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 628/rtems
+ 	* psx04/init.c, psx04/psx04.scn: Update tests to reflect a signal of 0
+ 	being an error.
+ 
  2004-03-05	Joel Sherrill <joel@OARcorp.com>
  
  	* psxmsgq01/init.c, psxtimer/psxtimer.c: Eliminate warning from
diff -N -P -r -c rtems-4.6.2/c/src/tests/sptests/ChangeLog rtems-4.6.4/c/src/tests/sptests/ChangeLog
*** rtems-4.6.2/c/src/tests/sptests/ChangeLog	Tue Mar 30 13:46:24 2004
--- rtems-4.6.4/c/src/tests/sptests/ChangeLog	Mon Nov 22 16:34:36 2004
***************
*** 1,3 ****
--- 1,7 ----
+ 2004-11-22	Jennifer Averett <jennifer@OARcorp.com>
+ 
+ 	* sp07/buffered_io.c: Remove warning.
+ 
  2004-03-30	David Querbach <querbach@realtime.bc.ca>
  
  	PR 595/tests
diff -N -P -r -c rtems-4.6.2/cpukit/ChangeLog rtems-4.6.4/cpukit/ChangeLog
*** rtems-4.6.2/cpukit/ChangeLog	Mon Oct 18 14:15:20 2004
--- rtems-4.6.4/cpukit/ChangeLog	Thu Sep  1 12:18:49 2005
***************
*** 1,3 ****
--- 1,7 ----
+ 2005-09-01	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* aclocal/version.m4: Updated to rtems-4.6.4.
+ 
  2004-10-18	Joel Sherrill <joel@OARcorp.com>
  
  	* aclocal/version.m4: Updated to rtems-4.6.2.
diff -N -P -r -c rtems-4.6.2/cpukit/libblock/ChangeLog rtems-4.6.4/cpukit/libblock/ChangeLog
*** rtems-4.6.2/cpukit/libblock/ChangeLog	Thu Sep  4 13:46:53 2003
--- rtems-4.6.4/cpukit/libblock/ChangeLog	Wed Jul  6 13:06:18 2005
***************
*** 1,3 ****
--- 1,8 ----
+ 2005-07-06	<ralf.corsepius@rtems.org>
+ 
+ 	PR 810/rtems
+ 	* include/rtems/ide_part_table.h: Add C++ guards.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* include/rtems/ide_part_table.h, src/ide_part_table.c: URL for license
diff -N -P -r -c rtems-4.6.2/cpukit/libcsupport/ChangeLog rtems-4.6.4/cpukit/libcsupport/ChangeLog
*** rtems-4.6.2/cpukit/libcsupport/ChangeLog	Mon Jan 12 17:40:26 2004
--- rtems-4.6.4/cpukit/libcsupport/ChangeLog	Tue Aug 30 23:34:58 2005
***************
*** 1,3 ****
--- 1,41 ----
+ 2005-08-31  Ralf Corsepius  <ralf.corsepius@rtems.org>
+ 
+         PR 819/filesystem
+         * src/ttyname_r.c: Remove.
+         * src/ttyname.c: Partial update from FreeBSD.
+         * Makefile.am: Reflect changes above.
+ 
+ 2005-08-17	Nickolay Semyonov <snob@oktetlabs.ru>
+ 
+ 	PR 744/filesystem
+ 	* libcsupport/src/unlink.c, libfs/src/dosfs/msdos_eval.c: DOSFS did not
+ 	support permissions on directories so the check performed by unlink
+ 	would always fail. The unlink code was modified to support a not
+ 	supported status being returned.
+ 
+ 2005-08-12	Chris Johns <chrisj@rtems.org>
+ 
+ 	PR 808/rtems_misc
+ 	* src/printk.c: Fix bug where specifying field width crashed on pc386
+ 	BSP.
+ 
+ 2005-08-02  Ralf Corsepius  <ralf.corsepius@rtems.org>
+ 
+ 	PR 817/rtems
+ 	* src/gxx_wrappers.c: Rename
+ 	rtems_gxx_recursive_mutex_init_function to
+ 	rtems_gxx_recursive_mutex_init.
+ 
+ 2005-05-13      Jennifer Averett <jennifer.averett@oarcorp.com>
+ 
+         * src/mallocfreespace.c: 
+         PR 786/rtems
+         Backport mallocfreespace optimization.
+ 
+ 2005-01-14	Ralf Corsepius <ralf.corsepius@rtems.org>
+ 
+ 	* src/gxx_wrappers.c: Backport from trunk. Add support for GCC-4.0.
+ 
  2004-01-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	PR 548/rtems
diff -N -P -r -c rtems-4.6.2/cpukit/libfs/ChangeLog rtems-4.6.4/cpukit/libfs/ChangeLog
*** rtems-4.6.2/cpukit/libfs/ChangeLog	Wed Oct 22 14:16:28 2003
--- rtems-4.6.4/cpukit/libfs/ChangeLog	Wed Aug 17 14:17:37 2005
***************
*** 1,3 ****
--- 1,11 ----
+ 2005-08-17	Nickolay Semyonov <snob@oktetlabs.ru>
+ 
+ 	PR 744/filesystem
+ 	* libcsupport/src/unlink.c, libfs/src/dosfs/msdos_eval.c: DOSFS did not
+ 	support permissions on directories so the check performed by unlink
+ 	would always fail. The unlink code was modified to support a not
+ 	supported status being returned.
+ 
  2003-10-22	Thomas Doerfler <Thomas.Doerfler@imd-systems.de>
  
  	PR 515/filesystem
diff -N -P -r -c rtems-4.6.2/cpukit/libnetworking/ChangeLog rtems-4.6.4/cpukit/libnetworking/ChangeLog
*** rtems-4.6.2/cpukit/libnetworking/ChangeLog	Fri Sep 17 11:38:05 2004
--- rtems-4.6.4/cpukit/libnetworking/ChangeLog	Fri May 20 14:58:56 2005
***************
*** 1,3 ****
--- 1,14 ----
+ 2005-05-20  Sergei Organov  <osv@javad.ru>
+ 
+ 	PR networking/772.
+ 	* rtems_select.c (socket_select): fixed bug setting SB_WAIT flag
+ 	of so_rcv instead of so_snd when FWRITE.
+ 
+ 2005-05-20	Sergei Organov  <osv@topconrd.ru>
+ 
+ 	PR 749/networking
+ 	* rtems/rtems_showroute.c: Avoid NULL dereference.
+ 
  2004-09-17	Till Strauman <strauman@slac.stanford.edu>
  
  	PR 676/networking
diff -N -P -r -c rtems-4.6.2/cpukit/posix/ChangeLog rtems-4.6.4/cpukit/posix/ChangeLog
*** rtems-4.6.2/cpukit/posix/ChangeLog	Mon Sep 27 17:43:14 2004
--- rtems-4.6.4/cpukit/posix/ChangeLog	Thu Sep  1 09:46:02 2005
***************
*** 1,3 ****
--- 1,17 ----
+ 2005-09-01	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 796/rtems
+ 	* src/semtimedwait.c: sem_timedwait is supposed to use absolute time
+ 	for timeout specification. This patch is a modified version of the
+ 	one suggested by Peter Dufault.
+ 
+ 2005-08-17	Nuno Costa <nuno-costa@iol.pt>
+ 
+ 	PR 805/rtems
+ 	* include/rtems/posix/timer.h: Due to bad choice of error constants by
+ 	original submitter, it was impossible to create more than 10 POSIX
+ 	timers.
+ 
  2004-09-27	Joel Sherrill <joel@OARcorp.com>
  
  	PR 294/rtems
diff -N -P -r -c rtems-4.6.2/cpukit/rtems/ChangeLog rtems-4.6.4/cpukit/rtems/ChangeLog
*** rtems-4.6.2/cpukit/rtems/ChangeLog	Fri Oct 15 15:06:35 2004
--- rtems-4.6.4/cpukit/rtems/ChangeLog	Thu Aug 18 08:39:00 2005
***************
*** 1,3 ****
--- 1,38 ----
+ 2005-08-18	Andrew Sinclair <Andrew.Sinclair@elprotech.com>
+ 
+ 	PR 807/rtems
+ 	* src/timerfireafter.c, src/timerserverfireafter.c: First patch
+ 	returned without exitting dispatching critical section.
+ 
+ 2005-08-17	Andrew Sinclair <Andrew.Sinclair@elprotech.com>
+ 
+ 	PR 807/rtems
+ 	* rtems/src/timerfireafter.c, rtems/src/timerserverfireafter.c,
+ 	score/src/watchdoginsert.c: Tighten critical section checks on an ISR
+ 	using the same timer being inserted by a lower priority ISR or
+ 	interupt task.
+ 
+ 2005-05-13      Jennifer Averett <jennifer.averett@oarcorp.com>
+ 
+         PR 786/rtems
+         Backport mallocfreespace optimization.
+         * Makefile.am, include/rtems/rtems/region.h:    
+         * src/regiongetfreeinfo.c: New file.
+ 
+ 2005-03-17	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 692/rtems
+ 	* src/regiongetsegment.c, src/regionreturnsegment.c: The Region
+ 	Manager did not follow the proper protocol when blocking and
+ 	unblocking tasks waiting on buffers. This was a bug introduced with
+ 	the transition to an Allocation Mutex.
+ 
+ 2005-03-17      Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 745/rtems
+ 	* src/ratemoncreate.c, src/timercreate.c: Make sure internal timer
+ 	structures are initialized so object control reuse is safe.
+ 
  2004-10-15	Joel Sherrill <joel@OARcorp.com>
  
  	PR 692/rtems
diff -N -P -r -c rtems-4.6.2/cpukit/sapi/ChangeLog rtems-4.6.4/cpukit/sapi/ChangeLog
*** rtems-4.6.2/cpukit/sapi/ChangeLog	Tue Jun  8 08:53:29 2004
--- rtems-4.6.4/cpukit/sapi/ChangeLog	Thu Sep  1 08:27:02 2005
***************
*** 1,3 ****
--- 1,16 ----
+ 2005-09-01	Nuno Costa <nuno-costa@iol.pt>
+ 
+ 	PR 804
+ 	* include/confdefs.h: Memory for POSIX timers not accounted for. Patch
+ 	adapted from edit comment in PR filed.
+ 
+ 2005-06-09	Jacques Seronie Vivien <jacques.seronievivien@astrium.eads.net>
+ 
+ 	PR 790/rtems
+ 	* src/extensioncreate.c, src/extensionident.c: Correct use of name.
+ 	This was missed when the other ident services in rtems/src where
+ 	changed.
+ 
  2004-06-08	Joel Sherrill <joel@OARcorp.com>
  
  	* ChangeLog, include/confdefs.h: Reverse previous accidental commit
diff -N -P -r -c rtems-4.6.2/cpukit/score/ChangeLog rtems-4.6.4/cpukit/score/ChangeLog
*** rtems-4.6.2/cpukit/score/ChangeLog	Mon Oct 18 14:12:25 2004
--- rtems-4.6.4/cpukit/score/ChangeLog	Thu Sep  1 11:31:22 2005
***************
*** 1,3 ****
--- 1,37 ----
+ 2005-09-01	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 820/rtems
+ 	* inline/rtems/score/coremsg.inl, macros/rtems/score/coremsg.inl,
+ 	src/coremsginsert.c: Increment of pending message count should be
+ 	atomic with insertion on the pending message chain. Determination of
+ 	the need to call the notification handler should also be in this
+ 	atomic section of code.
+ 
+ 2005-08-17	Andrew Sinclair <Andrew.Sinclair@elprotech.com>
+ 
+ 	PR 807/rtems
+ 	* rtems/src/timerfireafter.c, rtems/src/timerserverfireafter.c,
+ 	score/src/watchdoginsert.c: Tighten critical section checks on an ISR
+ 	using the same timer being inserted by a lower priority ISR or
+ 	interupt task.
+ 
+ 2005-05-13      Jennifer Averett <jennifer.averett@oarcorp.com>
+ 
+         PR 786/rtems    
+         Backport mallocfreespace optimization.  
+         * Makefile.am, include/rtems/score/heap.h, src/heapgetinfo.c: 
+         * src/heapgetfreeinfo.c: New file.
+ 
+ 2005-03-17	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* include/rtems/score/object.h, src/objectinitializeinformation.c: Fix
+ 	warning.
+ 
+ 2005-01-14	Ralf Corsepius <ralf.corsepius@rtems.org>
+ 
+ 	PR 742/rtems
+ 	* score/include/rtems/system.h: Remove stringify().
+ 
  2004-10-18	Joel Sherrill <joel@OARcorp.com>
  
  	* include/rtems/system.h: Bump revision number.
diff -N -P -r -c rtems-4.6.2/doc/user/ChangeLog rtems-4.6.4/doc/user/ChangeLog
*** rtems-4.6.2/doc/user/ChangeLog	Mon Sep 27 17:28:43 2004
--- rtems-4.6.4/doc/user/ChangeLog	Fri Nov  5 08:37:31 2004
***************
*** 1,3 ****
--- 1,8 ----
+ 2004-11-05	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 706/doc
+ 	* task.t: Remove not that changes explanation.
+ 
  2004-09-27	Joel Sherrill <joel@OARcorp.com>
  
  	PR 683/doc
diff -N -P -r -c rtems-4.6.2/make/ChangeLog rtems-4.6.4/make/ChangeLog
*** rtems-4.6.2/make/ChangeLog	Mon Sep  8 20:45:33 2003
--- rtems-4.6.4/make/ChangeLog	Thu Sep  1 08:39:14 2005
***************
*** 1,3 ****
--- 1,18 ----
+ 2005-09-01	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 350/make_build
+ 	* compilers/gcc-target-default.cfg: Honor LD_PATHS set by user.
+ 
+ 2004-11-22	Jennifer Averett <jennifer@OARcorp.com>
+ 
+ 	PR 581/bsps
+ 	* custom/psim.cfg: Convert PSIM to new exception model.
+ 
+ 2004-11-10	Richard Campbell <richard.campbell@oarcorp.com>
+ 
+ 	* custom/Makefile.am: Add MVME2100 BSP.
+ 	* custom/mvme2100.cfg: New file.
+ 
  2003-09-09	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	custom/ppcn_60x.cfg: Remove -fvolatile-global -fvolatile from CFLAGS.
diff -N -P -r -c rtems-4.6.2/scripts/ChangeLog rtems-4.6.4/scripts/ChangeLog
*** rtems-4.6.2/scripts/ChangeLog	Thu Sep 30 05:28:26 2004
--- rtems-4.6.4/scripts/ChangeLog	Mon Oct 18 14:15:01 2004
***************
*** 1,3 ****
--- 1,14 ----
+ 2004-10-18	RTEMS
+ 
+ 	* autotools/autoconf-rtems.spec.in: Comment out line giving trouble. It
+ 	only references unneeded documentation.
+ 
+ 2004-04-08	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 594/tools
+ 	* setup.def, autotools/autoconf-rtems.spec.in: Increment and rebuild so
+ 	GNAT included.
+ 
  2004-09-30	Ralf Corsepius <ralf_corsepius@rtems.org>
  
  	* autotools/autoconf-rtems.spec.in: Remove bogus BuildDep on
